# Class HeaderWrapper

#### Implements

- IViewWrapper

- Defined in file/header-wrapper.ts:16

#####
Index

### Constructors

constructor

### Accessors

Media
Relationships
View

### Methods

add
addChildElement

## Constructors

### constructor

- new HeaderWrapper(media, referenceId, initContent?): HeaderWrapper

- #### Parameters

  - media: Media
  - referenceId: number
  - `Optional` initContent: XmlComponent

  #### Returns HeaderWrapper

  - Defined in file/header-wrapper.ts:20

## Accessors

### Media

- get Media(): Media

- #### Returns Media

  - Defined in file/header-wrapper.ts:47

### Relationships

- get Relationships(): Relationships

- #### Returns Relationships

  Implementation of IViewWrapper.Relationships

  - Defined in file/header-wrapper.ts:43

### View

- get View(): Header

- #### Returns Header

  Implementation of IViewWrapper.View

  - Defined in file/header-wrapper.ts:39

## Methods

### add

- add(item): HeaderWrapper

- #### Parameters

  - item: Paragraph | Table

  #### Returns HeaderWrapper

  - Defined in file/header-wrapper.ts:29

### addChildElement

- addChildElement(childElement): void

- #### Parameters

  - childElement: string | XmlComponent

  #### Returns void

  - Defined in file/header-wrapper.ts:35

Generated using TypeDoc